using ImmichToSlideshow.DependencyInjection;
using ImmichToSlideshow.Models;
using ImmichToSlideshow.RequestPipeline;

WebApplicationBuilder webApplicationBuilder = WebApplication.CreateBuilder(args);
{
    // configure services (DI)
    _ = webApplicationBuilder.Services.AddServices();
    _ = webApplicationBuilder.Services.AddControllers();
    _ = webApplicationBuilder.Configuration.AddUserSecrets<Program>();
    AppSettings appSettings = ImmichToSlideshow.Models.Binder.AppSettings.Get(webApplicationBuilder.Configuration);
    _ = webApplicationBuilder.Services.AddSingleton(_ => appSettings);
}
WebApplication webApplication = webApplicationBuilder.Build();
{
    // configure request pipeline
    _ = webApplication.MapControllers();
    _ = webApplication.InitializeDatabase();
}
ILogger<Program>? logger = webApplication.Services.GetRequiredService<ILogger<Program>>();
logger.LogInformation("Starting Web Application");
webApplication.Run();
